libzypp 17.37.10

zyppng::AutoDisconnect Struct Reference

`#include <zypp-core/zyppng/base/autodisconnect.h>`

## Public Member Functions
| AutoDisconnect (connection &&conn)
| AutoDisconnect (AutoDisconnect &&other) noexcept
| AutoDisconnect (const AutoDisconnect &other)=delete
AutoDisconnect & | operator= (const AutoDisconnect &)=delete
| ~AutoDisconnect ()

## Public Attributes
connection | _conn

## Detailed Description

This can be used to scope a signal/slot connection. Basically just like

See also
  zypp::AutoDispose

Definition at line 23 of file autodisconnect.h.

## Constructor & Destructor Documentation

## ◆ AutoDisconnect() [1/3]

zyppng::AutoDisconnect::AutoDisconnect | ( | connection && | conn | ) |
| inline

Definition at line 25 of file autodisconnect.h.

## ◆ AutoDisconnect() [2/3]

zyppng::AutoDisconnect::AutoDisconnect | ( | AutoDisconnect && | other | ) |
| inline noexcept

Definition at line 26 of file autodisconnect.h.

## ◆ AutoDisconnect() [3/3]

zyppng::AutoDisconnect::AutoDisconnect | ( | const AutoDisconnect & | other | ) |
| delete

## ◆ ~AutoDisconnect()

zyppng::AutoDisconnect::~AutoDisconnect | ( |  | ) |
| inline

Definition at line 31 of file autodisconnect.h.

## Member Function Documentation

## ◆ operator=()

AutoDisconnect & zyppng::AutoDisconnect::operator= | ( | const AutoDisconnect & |  | ) |
| delete

## Member Data Documentation

## ◆ _conn

connection zyppng::AutoDisconnect::_conn

Definition at line 32 of file autodisconnect.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/autodisconnect.h